//
//  ViewController.m
//  WeekTest
//
//  Created by apple on 2016/10/28.
//  Copyright © 2016年 apple.xhm. All rights reserved.
//

#import "ViewController.h"
#import "SelectWeekView.h"

@interface ViewController ()

@property (weak, nonatomic) IBOutlet UIButton *weekBtn;

@property (nonatomic, strong) SelectWeekView *selectWeekView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
}
- (IBAction)SelectWeek:(UIButton *)sender {
    
    __weak typeof(self) weakSelf = self;
    
    _selectWeekView = [[SelectWeekView alloc] initWithFrame:CGRectMake(0, SCREEN_HEIGHT - 260, SCREEN_WIDTH, 260)];
    _selectWeekView.selectBlock = ^(NSString *weekStr) {
      
        [weakSelf.weekBtn setTitle:weekStr forState:UIControlStateNormal];
        
    };
    [_selectWeekView show];
    
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
